Subject: bug#14966: 24.3.50; Char-displayable-p is a very long running function

From: "Sebastien Vauban" <[email-masked]>
Date: Sat, 27 Jul 2013 11:47:30 +0200

Hello,

When looking at the performance of my .emacs at startup time, I've noticed
that (char-displayable-p) takes around 400 ms (!) to execute itself...

--8<---------------cut here---------------start------------->8---
     (setq org-ellipsis
           (if (char-displayable-p ?\u25B7) ;; white right-pointing triangle
               " \u25B7" ;; string
             'org-ellipsis))) ;; face
--8<---------------cut here---------------end--------------->8---

This figure is obtained on my (recently bought, from January 2013) i7 laptop,
when running on mains. If running on battery, that figure would even be
multiplied by a factor ~3.5.

Best regards,
  Seb

-- 
Sebastien Vauban